Debian Bug report logs - #641153
document Built-Using field for binary packages

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Ansgar Burchardt <ansgar@debian.org>

Date: Sat, 10 Sep 2011 20:48:02 UTC

Severity: normal

Fixed in version debian-policy/3.9.4.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-dak@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sat, 10 Sep 2011 20:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-dak@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>. (Sat, 10 Sep 2011 20:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: document Built-Using field for binary packages
Date: Sat, 10 Sep 2011 22:44:49 +0200
[Message part 1 (text/plain, inline)]
Package: debian-policy
Severity: normal

Hi,

some months ago support for the Built-Using field was added to the
archive software.  It is used by binary packages to refer to additional
source packages that were used during the build and need to stay in the
archive to have the full source available.

I would like to have this field documented in policy, a first patch is
attached.

Regards,
Ansgar
[0001-Document-Built-Using-field.patch (text/html, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sun, 11 Sep 2011 02:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 11 Sep 2011 02:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 641153@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>, 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Sun, 11 Sep 2011 11:38:05 +0900
Le Sat, Sep 10, 2011 at 10:44:49PM +0200, Ansgar Burchardt a écrit :
> 
> some months ago support for the Built-Using field was added to the
> archive software.  It is used by binary packages to refer to additional
> source packages that were used during the build and need to stay in the
> archive to have the full source available.
> 
> I would like to have this field documented in policy, a first patch is
> attached.

Dear Ansgar,

thanks for documenting Built-Using in the Policy.  I have a couple of
comments about your patch.

@@ -3061,7 +3061,8 @@ Package: libc6
 	    <tt>Depends</tt>, <tt>Pre-Depends</tt>,
 	    <tt>Recommends</tt>, <tt>Suggests</tt>,
 	    <tt>Breaks</tt>, <tt>Conflicts</tt>,
-	    <tt>Provides</tt>, <tt>Replaces</tt>, <tt>Enhances</tt>
+	    <tt>Provides</tt>, <tt>Replaces</tt>, <tt>Enhances</tt>,
+	    <tt>Built-Using</tt>
 	  </heading>

This adds Built-Using in §5.6.10 (“Package interrelationship fields: Depends,
Pre-Depends, Recommends, Suggests, Breaks, Conflicts, Provides, Replaces,
Enhances”).  In Policy's chapter 5, the fields in that list are documented to
be present in source package control files (§5.2) and binary package control
files (§5.3).  However, dpkg-source does not allow the field in source package
control files (allowed => ALL_PKG, see scripts/Dpkg/Control/Fields.pm).

I propose to list Built-Using separately from the ‘Depends et al’ fields in
Policy's chapter 5 section about binary package control files (§5.3).

         <p>
           In the <tt>Depends</tt>, <tt>Recommends</tt>,
           <tt>Suggests</tt>, <tt>Pre-Depends</tt>,
-          <tt>Build-Depends</tt> and <tt>Build-Depends-Indep</tt>
+          <tt>Build-Depends</tt>, <tt>Build-Depends-Indep</tt>
+	  and <tt>Built-Using</tt>
           control fields of the package, which declare
           dependencies on other packages, the package names listed may
           also include lists of alternative package names, separated

This adds Built-Using in the second paragraph of §7.1, which would allow the following:

  Built-Using: foo (= 4.4) | bar (= 8.7)

Since the only purpose of this paragraph is to allow to list pipe-separated
alternatives, I propose to not add Built-Using to that paragraph, as in my
undersanding it is not expected to list alternatives.

@@ -5317,6 +5319,45 @@ Replaces: mail-transport-agent
 	</sect1>
       </sect>
 
+      <sect id="built-using">
+	<heading>Additional source packages used to build the binary
+	  - <tt>Built-Using</tt>
+	</heading>

This would add the new section ‘Additional source packages used to build…’ as
§7.7, which would renumber the current §7.7 (‘Relationships between source and
binary…’).  I think that the current practice in the policy is to add new sections
in chronological order rather than trying to group them by topic, in order to
preserve old links and references.  I propose to move the section you added after
the current §7.7.

+	<p>
+	  Additional source packages might be involved in creating a
+	  binary package.  These must be listed in
+	  the <tt>Built-Using</tt> field to enable the archive
+	  software to keep the full source code.
+	</p>

That part was very difficult to understand for me:

 - Source packages build-depend on binary packages, and therefore
   directly ‘involve’ binary packages only, but

 - Replacing ‘source’ by ‘binary’ suggests that Built-Using field is mandatory in
   the sense of §5.3, and that it would list all the packages and their
   dependancies pulled throught Build-Depends, which is not the case. 

I got confused a long time about how to use the field, and propose to rephrase
the paragraph above using some elements from from deb-control(5) and the
minutes of the FTP team meeting.  I kept the ‘must’, as it derives from
a license requirement.

  Some binary packages incorporate material derived from source or compiled
  code distributed in other source packages, without depending on a corresponding
  binary package.  This field must be used to list these source packages and
  their version number in order to follow requirements of licenses like the GNU
  GPL, as it will indicate to the archive maintenance software that these extra
  source packages must be kept whilst this binary package is maintained.

+	<p>
+	  For every source package, the version used must be
+	  specified using an "exactly equal" ("=") relation.
+	  <footnote>
+	    The archive software might reject packages that refer to
+	    non-existant sources.
+	  </footnote>
+	</p>

To be consistent with the structure of chapter 7, the description of syntax
could be moved to §7.1, for instance by changing its third paragraph:

  All of the fields except for Provides may restrict their applicability to
  particular versions of each named package.  Packages listed in the
  <tt>Built-Using</tt> must be restricted on an exactly equal version.<footnote>
    The archive maintenance software is likely to refuse an upload which declares
    a <tt>Built-Using</tt> relationship which cannot be satisfied within the
    archive</footnote>.

Also, §7.1 specifies differently the architecture restrictions for build
relationship fields (Build-Depends, Build-Depends-Indep, Build-Conflicts and
Build-Conflicts-Indep) and binary relationship fields.  According to what is
expected for Built-Using, §7.1 could be updated as well.


Again, thank you very much for sending your patch.  At your convenience, I can
prepare an updated patch according to how the discussion follows.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sun, 11 Sep 2011 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 11 Sep 2011 06:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 641153@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 641153@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Sun, 11 Sep 2011 08:32:33 +0200
On Sun, 11 Sep 2011, Charles Plessy wrote:
> This adds Built-Using in §5.6.10 (“Package interrelationship fields: Depends,
> Pre-Depends, Recommends, Suggests, Breaks, Conflicts, Provides, Replaces,
> Enhances”).  In Policy's chapter 5, the fields in that list are documented to
> be present in source package control files (§5.2) and binary package control
> files (§5.3).  However, dpkg-source does not allow the field in source package
> control files (allowed => ALL_PKG, see scripts/Dpkg/Control/Fields.pm).

I don't understand your reasoning... "Depends" is also "allowed =>
ALL_PKG" which means allowed in "control" in the .deb, and in a package
entry in debian/control (and in a Packages file and in
/var/lib/dpkg/status).

On the contrary, internally it's really very close to other dependency
fields... it's treated like a "union"-dependency field (like
Breaks/Conflicts).

> Since the only purpose of this paragraph is to allow to list pipe-separated
> alternatives, I propose to not add Built-Using to that paragraph, as in my
> undersanding it is not expected to list alternatives.

It's not even allowed since it's a "union"-dependency field.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sun, 11 Sep 2011 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 11 Sep 2011 16:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 641153@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Mon, 12 Sep 2011 01:29:00 +0900
Le Sun, Sep 11, 2011 at 08:32:33AM +0200, Raphael Hertzog a écrit :
> On Sun, 11 Sep 2011, Charles Plessy wrote:
> > This adds Built-Using in §5.6.10 (“Package interrelationship fields: Depends,
> > Pre-Depends, Recommends, Suggests, Breaks, Conflicts, Provides, Replaces,
> > Enhances”).  In Policy's chapter 5, the fields in that list are documented to
> > be present in source package control files (§5.2) and binary package control
> > files (§5.3).  However, dpkg-source does not allow the field in source package
> > control files (allowed => ALL_PKG, see scripts/Dpkg/Control/Fields.pm).
> 
> I don't understand your reasoning... "Depends" is also "allowed =>
> ALL_PKG" which means allowed in "control" in the .deb, and in a package
> entry in debian/control (and in a Packages file and in
> /var/lib/dpkg/status).

My point is that if the Built-Using field is not to be used elsewhere than in
binary control files, I propose, if and only if this is consensual, to submit
an amended patch that makes this clear in the Policy.

[And about how I made a wrong statement about dpkg's internals in my previous
email: I quickly took Installed-Size as an exemple of field that is not found
in source control files to reverse-engeneer what ALL_PKG means, saw that it is
"allowed => ALL_PKG & ~CTRL_INFO_PKG" and that the field above, Homepage is
"allowed => ALL_SRC | ALL_PKG", and wrongly concluded that ALL_SRC meant source
and ALL_PKG meant binary.  I hope that the rest of my answer to Ansgar is more
useful, and also welcome feedback about it.  Sorry for the noise.]

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Fri, 25 Nov 2011 01:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Nov 2011 01:51:09 GMT) Full text and rfc822 format available.

Message #25 received at 641153@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 641153@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Fri, 25 Nov 2011 10:47:47 +0900
user debian-policy@lists.debian.org
usertags 641153 + normative discussion
thanks

Le Sun, Sep 11, 2011 at 11:38:05AM +0900, Charles Plessy a écrit :
> Le Sat, Sep 10, 2011 at 10:44:49PM +0200, Ansgar Burchardt a écrit :
> > 
> > some months ago support for the Built-Using field was added to the
> > archive software.  It is used by binary packages to refer to additional
> > source packages that were used during the build and need to stay in the
> > archive to have the full source available.
> > 
> > I would like to have this field documented in policy, a first patch is
> > attached.
> 
> Dear Ansgar,
> 
> thanks for documenting Built-Using in the Policy.  I have a couple of
> comments about your patch.

Dear Ansgar,

I hope I have not hammered you with my suggestions… ( http://bugs.debian.org/641153#10 )

If you are busy, my offer to update your patch according to part or all of
these suggestions still stands.  Your comments and others opinions are also
very welcome.

Have a nice week-end,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Mon, 12 Dec 2011 13:45:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 12 Dec 2011 13:45:24 GMT) Full text and rfc822 format available.

Message #30 received at 641153@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Mon, 12 Dec 2011 14:44:55 +0100
Hi,

thanks for your comment and sorry for the late reply, I forgot about 
this bug for a while.

Am 11.09.2011 04:38, schrieb Charles Plessy:
> thanks for documenting Built-Using in the Policy.  I have a couple of
> comments about your patch.
>
> @@ -3061,7 +3061,8 @@ Package: libc6
>   	<tt>Depends</tt>,<tt>Pre-Depends</tt>,
>   	<tt>Recommends</tt>,<tt>Suggests</tt>,
>   	<tt>Breaks</tt>,<tt>Conflicts</tt>,
> -	<tt>Provides</tt>,<tt>Replaces</tt>,<tt>Enhances</tt>
> +	<tt>Provides</tt>,<tt>Replaces</tt>,<tt>Enhances</tt>,
> +	<tt>Built-Using</tt>
>   	</heading>
>
> This adds Built-Using in §5.6.10 (“Package interrelationship fields: Depends,
> Pre-Depends, Recommends, Suggests, Breaks, Conflicts, Provides, Replaces,
> Enhances”).  In Policy's chapter 5, the fields in that list are documented to
> be present in source package control files (§5.2) and binary package control
> files (§5.3).  However, dpkg-source does not allow the field in source package
> control files (allowed =>  ALL_PKG, see scripts/Dpkg/Control/Fields.pm).
>
> I propose to list Built-Using separately from the ‘Depends et al’ fields in
> Policy's chapter 5 section about binary package control files (§5.3).

They can appear in debian/control in a source package as Raphael Hertzog 
said[1].  That is how they are generated by several packages (they use a 
substvar to insert the correct version).

[1] <http://bugs.debian.org/641153#15>

>           <p>
>             In the<tt>Depends</tt>,<tt>Recommends</tt>,
>             <tt>Suggests</tt>,<tt>Pre-Depends</tt>,
> -<tt>Build-Depends</tt>  and<tt>Build-Depends-Indep</tt>
> +<tt>Build-Depends</tt>,<tt>Build-Depends-Indep</tt>
> +	  and<tt>Built-Using</tt>
>             control fields of the package, which declare
>             dependencies on other packages, the package names listed may
>             also include lists of alternative package names, separated
>
> This adds Built-Using in the second paragraph of §7.1, which would allow the following:
>
>    Built-Using: foo (= 4.4) | bar (= 8.7)
>
> Since the only purpose of this paragraph is to allow to list pipe-separated
> alternatives, I propose to not add Built-Using to that paragraph, as in my
> undersanding it is not expected to list alternatives.

Ack, looks like a mistake.

> @@ -5317,6 +5319,45 @@ Replaces: mail-transport-agent
>   	</sect1>
>         </sect>
>
> +<sect id="built-using">
> +	<heading>Additional source packages used to build the binary
> +	  -<tt>Built-Using</tt>
> +	</heading>
>
> This would add the new section ‘Additional source packages used to build…’ as
> §7.7, which would renumber the current §7.7 (‘Relationships between source and
> binary…’).  I think that the current practice in the policy is to add new sections
> in chronological order rather than trying to group them by topic, in order to
> preserve old links and references.  I propose to move the section you added after
> the current §7.7.

Ack, seems reasonable to not break references.

> +	<p>
> +	  Additional source packages might be involved in creating a
> +	  binary package.  These must be listed in
> +	  the<tt>Built-Using</tt>  field to enable the archive
> +	  software to keep the full source code.
> +	</p>
>
> That part was very difficult to understand for me:
>
>   - Source packages build-depend on binary packages, and therefore
>     directly ‘involve’ binary packages only, but
>
>   - Replacing ‘source’ by ‘binary’ suggests that Built-Using field is mandatory in
>     the sense of §5.3, and that it would list all the packages and their
>     dependancies pulled throught Build-Depends, which is not the case.

The field is indeed not intended to list all dependencies, but only 
those needed to obtain the complete corresponding source (and thus 
fulfill license requirements and also the DFSG).  The most common use 
case for now seem to be packages build-depending on a *-source binary 
package and using source code from there.  But I think it might also be 
useful for packages linking static libraries or some uses of template 
libraries.

I'm not sure how to best describe where it should/must be used so I only 
wrote the rather generic paragraph above.

> I got confused a long time about how to use the field, and propose to rephrase
> the paragraph above using some elements from from deb-control(5) and the
> minutes of the FTP team meeting.  I kept the ‘must’, as it derives from
> a license requirement.
>
>    Some binary packages incorporate material derived from source or compiled
>    code distributed in other source packages, without depending on a corresponding
>    binary package.  This field must be used to list these source packages and
>    their version number in order to follow requirements of licenses like the GNU
>    GPL, as it will indicate to the archive maintenance software that these extra
>    source packages must be kept whilst this binary package is maintained.

Maybe "distributed in other source packages" → "derived from other 
source packages"? At least compiled code should only be in binary 
packages after all.

The part about the "GNU GPL" could probably be left out as well as the 
DFSG already requires that we provide source code (even for packages 
where the license allows to only distribute binaries).

A try at this:

  Some binary packages incorporate material derived from source
  or compiled code derived from other source packages.  In this case
  this field must be used to list all other source packages necessary
  to obtain the full corresponding source code.
  <footnote (or not?)>
    It indicates to the archive software to keep the listed source 
packages around until the binary package disappears.
  </footnote>

> +	<p>
> +	  For every source package, the version used must be
> +	  specified using an "exactly equal" ("=") relation.
> +	<footnote>
> +	    The archive software might reject packages that refer to
> +	    non-existant sources.
> +	</footnote>
> +	</p>
>
> To be consistent with the structure of chapter 7, the description of syntax
> could be moved to §7.1, for instance by changing its third paragraph:
>
>    All of the fields except for Provides may restrict their applicability to
>    particular versions of each named package.  Packages listed in the
>    <tt>Built-Using</tt>  must be restricted on an exactly equal version.<footnote>
>      The archive maintenance software is likely to refuse an upload which declares
>      a<tt>Built-Using</tt>  relationship which cannot be satisfied within the
>      archive</footnote>.

That's also fine with me, though I think having the restrictions for 
each field along with the field's description makes it easier to find them.

> Also, §7.1 specifies differently the architecture restrictions for build
> relationship fields (Build-Depends, Build-Depends-Indep, Build-Conflicts and
> Build-Conflicts-Indep) and binary relationship fields.  According to what is
> expected for Built-Using, §7.1 could be updated as well.

Architecture restrictions do not make sense for Built-Using: either a 
package was used to built the package or not.  In case this differs 
between architectures, each binary package has its own (different) 
Built-Using list.

Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Mon, 12 Dec 2011 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 12 Dec 2011 14:15:03 GMT) Full text and rfc822 format available.

Message #35 received at 641153@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Mon, 12 Dec 2011 15:14:00 +0100
* Ansgar Burchardt <ansgar@debian.org>, 2011-12-12, 14:44:
>>Also, §7.1 specifies differently the architecture restrictions for 
>>build relationship fields (Build-Depends, Build-Depends-Indep, 
>>Build-Conflicts and Build-Conflicts-Indep) and binary relationship 
>>fields. According to what is expected for Built-Using, §7.1 could be 
>>updated as well.
>
>Architecture restrictions do not make sense for Built-Using: either a 
>package was used to built the package or not. In case this differs 
>between architectures, each binary package has its own (different) 
>Built-Using list.

But that's not unlike Depends (or other binary relationship fields): 
architecture restrictions are allowed in debian/control but not in 
binary packages.

And indeed, dpkg-gencontrol does allow architecture restrictions in 
Built-Using in debian/control.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Mon, 12 Dec 2011 15:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 12 Dec 2011 15:51:10 GMT) Full text and rfc822 format available.

Message #40 received at 641153@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Mon, 12 Dec 2011 16:48:57 +0100
Am 12.12.2011 15:14, schrieb Jakub Wilk:
> * Ansgar Burchardt <ansgar@debian.org>, 2011-12-12, 14:44:
>>> Also, §7.1 specifies differently the architecture restrictions for
>>> build relationship fields (Build-Depends, Build-Depends-Indep,
>>> Build-Conflicts and Build-Conflicts-Indep) and binary relationship
>>> fields. According to what is expected for Built-Using, §7.1 could be
>>> updated as well.
>>
>> Architecture restrictions do not make sense for Built-Using: either a
>> package was used to built the package or not. In case this differs
>> between architectures, each binary package has its own (different)
>> Built-Using list.
>
> But that's not unlike Depends (or other binary relationship fields):
> architecture restrictions are allowed in debian/control but not in
> binary packages.
>
> And indeed, dpkg-gencontrol does allow architecture restrictions in
> Built-Using in debian/control.

Ah, right, architecture restrictions in d/control in the source package 
are okay.  They just shouldn't be allowed in the binary control file 
(and also don't make sense there).

Ansgar





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sat, 24 Dec 2011 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 24 Dec 2011 18:39:03 GMT) Full text and rfc822 format available.

Message #45 received at 641153@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 641153@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Sat, 24 Dec 2011 10:37:16 -0800
One basic question about this before I dive into wording: why is the
Build-Depends field not adequate?

Ansgar Burchardt <ansgar@debian.org> writes:

> A try at this:

>   Some binary packages incorporate material derived from source
>   or compiled code derived from other source packages.  In this case
>   this field must be used to list all other source packages necessary
>   to obtain the full corresponding source code.
>   <footnote (or not?)>
>     It indicates to the archive software to keep the listed source
> packages around until the binary package disappears.
>   </footnote>

I think this is the right idea.  How about:

    <p>
      Some binary packages incorporate parts of other packages when built
      but do not have to depend on those packages.  Examples include
      linking with static libraries or incorporating source code from
      another package during the build.  In this case, the source packages
      of those other packages are a required part of the complete source
      (the binary package is not reproducible without them), but there is
      no other binary package control field to capture this relationship.
      Build-Depends in the source package is not adequate since it
      (rightfully) does not document the exact version used in the build.
    </p>

    <p>
      Therefore, in cases like this where a part of another package is
      incorporated into a binary package, the <tt>Build-Using</tt> field
      must list the corresponding source package for any such binary
      package incorporated during the build, including an "exactly equal"
      ("=") version relation on the version that was used to build that
      binary package.
    </p>

Why are we requiring source packages be listed in Build-Using instead of
binary packages?  The archive software should be able to draw similar
conclusions from a field listing the binary packages that were
incorporated into the build, just by taking one additional step, and a
field listing binary packages is *much* easier to generate.

>> To be consistent with the structure of chapter 7, the description of
>> syntax could be moved to §7.1, for instance by changing its third
>> paragraph:

>>    All of the fields except for Provides may restrict their applicability to
>>    particular versions of each named package.  Packages listed in the
>>    <tt>Built-Using</tt>  must be restricted on an exactly equal version.<footnote>
>>      The archive maintenance software is likely to refuse an upload which declares
>>      a<tt>Built-Using</tt>  relationship which cannot be satisfied within the
>>      archive</footnote>.

> That's also fine with me, though I think having the restrictions for each
> field along with the field's description makes it easier to find them.

I'd rather keep it with Build-Using as well.

Angsar, there are a bunch of proposed changes on this thread.  Would you
be willing to take a shot at generating an updated patch, assuming that
the above looks okay?  Sorry about the delays in discussing this.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sat, 24 Dec 2011 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 24 Dec 2011 18:51:03 GMT) Full text and rfc822 format available.

Message #50 received at 641153@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 641153@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@debian.org>, Charles Plessy <plessy@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Sat, 24 Dec 2011 10:46:28 -0800
Russ Allbery <rra@debian.org> writes:

> One basic question about this before I dive into wording: why is the
> Build-Depends field not adequate?

Never mind this question; I figured it out but forgot to remove this part
of my mail.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Fri, 30 Dec 2011 15:01:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 30 Dec 2011 15:01:26 GMT) Full text and rfc822 format available.

Message #55 received at 641153@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 641153@bugs.debian.org, Ansgar Burchardt <ansgar@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Fri, 30 Dec 2011 15:39:45 +0100
[Message part 1 (text/plain, inline)]
Dear all,

here is a proposed patch that uses a slimed version of the paragraphs proposed
by Russ (quoted below) and keeps the original examples.  It documents the field
as new section, number 7.8, the last one of its chapter, because it introduces
a new type of relationship, from binary package to source package.  This said,
I agree with Russ that a binary/binary relationship may be preferrable.  For
instance, it might avoid rare corner cases when depending on a source package
that was binNMUed.  This patch also lists Built-Using together with binary
relationship packages in the paragraph explaining how architecture restrictions
in source control files are used to produce binary control files. 

Le Sat, Dec 24, 2011 at 10:37:16AM -0800, Russ Allbery a écrit :
> 
>     <p>
>       Some binary packages incorporate parts of other packages when built
>       but do not have to depend on those packages.  Examples include
>       linking with static libraries or incorporating source code from
>       another package during the build.  In this case, the source packages
>       of those other packages are a required part of the complete source
>       (the binary package is not reproducible without them), but there is
>       no other binary package control field to capture this relationship.
>       Build-Depends in the source package is not adequate since it
>       (rightfully) does not document the exact version used in the build.
>     </p>
> 
>     <p>
>       Therefore, in cases like this where a part of another package is
>       incorporated into a binary package, the <tt>Build-Using</tt> field
>       must list the corresponding source package for any such binary
>       package incorporated during the build, including an "exactly equal"
>       ("=") version relation on the version that was used to build that
>       binary package.
>     </p>

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[0001-Documents-the-Built-Using-field.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Fri, 30 Dec 2011 15:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 30 Dec 2011 15:15:13 GMT) Full text and rfc822 format available.

Message #60 received at 641153@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Fri, 30 Dec 2011 16:11:34 +0100
* Charles Plessy <plessy@debian.org>, 2011-12-30, 15:39:
>+	  A <tt>Build-Using</tt> field must list the corresponding source
>+	  package for any such binary package incorporated during the build

s/Build-/Built-/

>+	    The archive software might reject packages that refer to
>+	    non-existant sources.

s/existant/existent/

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Fri, 30 Dec 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 30 Dec 2011 15:21:04 GMT) Full text and rfc822 format available.

Message #65 received at 641153@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 641153@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Fri, 30 Dec 2011 16:18:53 +0100
Hi,

Russ Allbery <rra@debian.org> writes:
> Ansgar Burchardt <ansgar@debian.org> writes:
>> A try at this:
>
>>   Some binary packages incorporate material derived from source
>>   or compiled code derived from other source packages.  In this case
>>   this field must be used to list all other source packages necessary
>>   to obtain the full corresponding source code.
>>   <footnote (or not?)>
>>     It indicates to the archive software to keep the listed source
>> packages around until the binary package disappears.
>>   </footnote>
>
> I think this is the right idea.  How about:
>
>     <p>
>       Some binary packages incorporate parts of other packages when built
>       but do not have to depend on those packages.  Examples include
>       linking with static libraries or incorporating source code from
>       another package during the build.  In this case, the source packages
>       of those other packages are a required part of the complete source
>       (the binary package is not reproducible without them), but there is
>       no other binary package control field to capture this relationship.
>       Build-Depends in the source package is not adequate since it
>       (rightfully) does not document the exact version used in the build.
>     </p>
>
>     <p>
>       Therefore, in cases like this where a part of another package is
>       incorporated into a binary package, the <tt>Build-Using</tt> field
>       must list the corresponding source package for any such binary
>       package incorporated during the build, including an "exactly equal"
>       ("=") version relation on the version that was used to build that
>       binary package.
>     </p>

Looks good to me.

> Why are we requiring source packages be listed in Build-Using instead of
> binary packages?  The archive software should be able to draw similar
> conclusions from a field listing the binary packages that were
> incorporated into the build, just by taking one additional step, and a
> field listing binary packages is *much* easier to generate.

I think source packages better reflect the meaning of the field (keep
the source available).  Listing them will hopefully soon no longer be
more complicated than binary package, see [1].

  [1] <http://bugs.debian.org/653575>

In addition listing binaries would likely force the archive software to
keep those specific binary versions around as well, even when they are
no longer needed, for example after a binNMU.  (At least I think the
current database layout would require this.)

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Fri, 30 Dec 2011 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 30 Dec 2011 18:18:03 GMT) Full text and rfc822 format available.

Message #70 received at 641153@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 641153@bugs.debian.org, Charles Plessy <plessy@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Fri, 30 Dec 2011 10:14:59 -0800
Ansgar Burchardt <ansgar@debian.org> writes:

> I think source packages better reflect the meaning of the field (keep
> the source available).  Listing them will hopefully soon no longer be
> more complicated than binary package, see [1].

>   [1] <http://bugs.debian.org/653575>

> In addition listing binaries would likely force the archive software to
> keep those specific binary versions around as well, even when they are
> no longer needed, for example after a binNMU.  (At least I think the
> current database layout would require this.)

Ah, okay, those are good points, and more to the point the resolution of
that bug pretty much completely addresses my concerns since it makes it as
easy to get the source package version as it would be to get the binary
package version.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Fri, 30 Dec 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 30 Dec 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #75 received at 641153@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 641153@bugs.debian.org, Ansgar Burchardt <ansgar@debian.org>
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Fri, 30 Dec 2011 10:59:08 -0800
Charles Plessy <plessy@debian.org> writes:

> here is a proposed patch that uses a slimed version of the paragraphs
> proposed by Russ (quoted below) and keeps the original examples.  It
> documents the field as new section, number 7.8, the last one of its
> chapter, because it introduces a new type of relationship, from binary
> package to source package.  This said, I agree with Russ that a
> binary/binary relationship may be preferrable.  For instance, it might
> avoid rare corner cases when depending on a source package that was
> binNMUed.  This patch also lists Built-Using together with binary
> relationship packages in the paragraph explaining how architecture
> restrictions in source control files are used to produce binary control
> files.

The dpkg-query changes I think make it safe to use source dependencies.
This patch looks good to me; seconded.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 30 Dec 2011 19:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sun, 26 Feb 2012 20:57:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 26 Feb 2012 20:57:32 GMT) Full text and rfc822 format available.

Message #82 received at 641153@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Sun, 26 Feb 2012 21:55:53 +0100
Charles Plessy <plessy@debian.org> writes:
> here is a proposed patch that uses a slimed version of the paragraphs proposed
> by Russ (quoted below) and keeps the original examples.

Looks good to me; seconded as well and thanks for your work.

> I agree with Russ that a binary/binary relationship may be preferrable.  For
> instance, it might avoid rare corner cases when depending on a source package
> that was binNMUed.

That would be needed if one wants to be able to recreate the same
binary, but we only want to document what is required to obtain the
complete corresponding source.  For this binNMUs of the packages used
should not matter.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Mon, 09 Jul 2012 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 09 Jul 2012 02:06:03 GMT) Full text and rfc822 format available.

Message #87 received at 641153@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 641153@bugs.debian.org
Subject: Re: document Built-Using field for binary packages
Date: Sun, 8 Jul 2012 21:01:47 -0500
[Message part 1 (text/plain, inline)]
Hi,

Jakub Wilk wrote:
> * Charles Plessy <plessy@debian.org>, 2011-12-30, 15:39:

>>+	  A <tt>Build-Using</tt> field must list the corresponding source
>>+	  package for any such binary package incorporated during the build
>
> s/Build-/Built-/
>
>>+	    The archive software might reject packages that refer to
>>+	    non-existant sources.
>
> s/existant/existent/

Here's the same patch with the above fixes applied.  Sensible?
[Documents-the-Built-Using-field.patch (text/plain, attachment)]

Removed tag(s) patch. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2012 12:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sat, 14 Jul 2012 12:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 14 Jul 2012 12:03:05 GMT) Full text and rfc822 format available.

Message #94 received at 641153@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Sat, 14 Jul 2012 20:56:15 +0900
user debian-policy@packages.debian.org
tags 641153 - patch
usertags 641153 seconded
thanks

Le Sun, Jul 08, 2012 at 09:01:47PM -0500, Jonathan Nieder a écrit :
> 
> Here's the same patch with the above fixes applied.  Sensible?

Thanks for the corrections.

The patch is seconded by me, Russ and Ansgar, and is ready to be applied.

Cheers,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#641153; Package debian-policy. (Sun, 12 Aug 2012 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 12 Aug 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #99 received at 641153@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 641153@bugs.debian.org
Subject: Re: Bug#641153: document Built-Using field for binary packages
Date: Sun, 12 Aug 2012 12:36:07 -0700
Charles Plessy <plessy@debian.org> writes:
> Le Sun, Jul 08, 2012 at 09:01:47PM -0500, Jonathan Nieder a écrit :

>> Here's the same patch with the above fixes applied.  Sensible?

> Thanks for the corrections.

> The patch is seconded by me, Russ and Ansgar, and is ready to be applied.

Applied for the next release.  Thanks!

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 12 Aug 2012 19:39:05 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Wed, 19 Sep 2012 06:33:14 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Wed, 19 Sep 2012 06:33:14 GMT) Full text and rfc822 format available.

Message #106 received at 641153-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 641153-close@bugs.debian.org
Subject: Bug#641153: fixed in debian-policy 3.9.4.0
Date: Wed, 19 Sep 2012 06:32:10 +0000
Source: debian-policy
Source-Version: 3.9.4.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641153@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 18 Sep 2012 21:35:36 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.4.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 374029 571776 591791 641153 654958 661816 661933 663918 670429 676561
Changes: 
 debian-policy (3.9.4.0) unstable; urgency=low
 .
   * build-arch and build-indep are now mandatory targets in debian/rules,
     implementing the Technical Committee ruling in #629385.  Wording
     review by Jonathan Nieder, Jakub Wilk, and Roger Leigh.
     (Closes: #374029)
   * Resynchronize the archive section list with ftp-master, adding tasks.
     Patch from Charles Plessy.  (Closes: #670429)
   * Policy: Copyright files must be encoded in UTF-8
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Salvatore Bonaccorso <carnil@debian.org>
     Seconded: Simon McVittie <smcv@debian.org>
     Closes: #661933
   * Policy: Prohibit deprecated < and > relations
     Wording: Jakub Wilk <jwilk@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #663918
   * Policy: Document the Built-Using field
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Closes: #641153
   * Policy: Document the Vcs-* fields
     Wording: Charles Plessy <plessy@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #654958
   * Policy: Document restrictions on the use of /run for wheezy
     Wording: Roger Leigh <rleigh@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #676561
   * Policy: Rewrite shared library dependency policy to document symbols
     Wording: Russ Allbery <rra@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #571776
   * Policy: Document generic and upstart-specific init system requirements
     Wording: Steve Langasek <steve.langasek@canonical.com>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Adam D. Barratt <adam@adam-barratt.org.uk>
     Closes: #591791
   * Policy: Rely on triggers instead of calling update-mime
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #661816
Checksums-Sha1: 
 c728495994bbdabc43055dfbedfd662bba5eb069 1518 debian-policy_3.9.4.0.dsc
 4c6bc2d0eb510313e1b4a0d2a932f4182ffe6f91 704838 debian-policy_3.9.4.0.tar.gz
 ac9ff5a5987343a736fb45af52d3178bae30d37e 2147892 debian-policy_3.9.4.0_all.deb
Checksums-Sha256: 
 c6dbad5976931268283c02903cf0dc3f3bb8dfc86710cab462e0e6c19aab1407 1518 debian-policy_3.9.4.0.dsc
 01ae1a19f7a251dd5c2b078736427f33f04c5f7e38308f874345f1e3e194dca5 704838 debian-policy_3.9.4.0.tar.gz
 c6e22f66e4cd38cbfac944bfebb41fa5608604326c6ecb9dbbd2213f5372ebbd 2147892 debian-policy_3.9.4.0_all.deb
Files: 
 e5683a409d1f740582e960158152b4ba 1518 doc optional debian-policy_3.9.4.0.dsc
 33eafa60a7c79f827adaa1bdb0cdcf83 704838 doc optional debian-policy_3.9.4.0.tar.gz
 2c5c278e5035e26489c3ae76f8c428d2 2147892 doc optional debian-policy_3.9.4.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQWVEqAAoJEH2AMVxXNt51CfcH/226voYDWjhFjwJJh61d0XBI
3JRRYNqF7rZ59zl4kwEX+QFe/CoKnX1rEceBb9g3cCJ/AO6vU8Z+hhGnpr4eus1v
2BKhO4E8S6vqjtWfiXHIUmkIlGQeuxY3aBMWNZPgQzqEz9Skrc3aDel3zuuiKehE
fTk8Kse0hwTGp5h9nVaXawdZEPKFhcQT2NrhhTE/VmTHuC1EzUTcjOUDeu8tM2xy
r6Zjytz43qqvWinUQNYQXOtjt2zAVV0dw6T9nWcssXOSTD1EZLbfAbaJw9m1VG6G
B9BRhz5xs334/DktrgDw2gKjb4IF2tI3lIPRj12OuGErR+lChgZr4egrA+xyBwM=
=SP2c
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:32:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.